" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *child-env* *doc-url*
syn keyword tl_keyword contained *filters* *full-args* *gensym-counter* *hash-seed*
syn keyword tl_keyword contained *lib-version* *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-pprint-p* *listener-sel-inclusive-p* *load-hooks* *load-path*
syn keyword tl_keyword contained *match-macro* *opt-level* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *place-clobber-expander* *place-delete-expander* *place-macro*
syn keyword tl_keyword contained *place-update-expander* *pprint-flo-format* *print-base* *print-circle*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *random-state*
syn keyword tl_keyword contained *random-warmup* *read-bad-json* *read-unknown-structs* *rec-source-loc*
syn keyword tl_keyword contained *stddebug* *stderr* *stdin* *stdlog*
syn keyword tl_keyword contained *stdnull* *stdout* *trace-output* *tree-fun-whitelist*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* + -
syn keyword tl_keyword contained / /= : :abandoned
syn keyword tl_keyword contained :abs :addr :all :android
syn keyword tl_keyword contained :apf :append :args :atime
syn keyword tl_keyword contained :auto :awk-again :awk-file :awk-rec
syn keyword tl_keyword contained :begin :begin-file :blksize :blocks
syn keyword tl_keyword contained :bool :byte-oriented :cdigit :chars
syn keyword tl_keyword contained :cint :close :continue :counter
syn keyword tl_keyword contained :cspace :ctime :cword-char :cygnal
syn keyword tl_keyword contained :cygwin :dec :decline :dev
syn keyword tl_keyword contained :digit :downcase :end :end-file
syn keyword tl_keyword contained :env :eq-based :eql-based :equal-based
syn keyword tl_keyword contained :explicit-no :fallback :fd :fence
syn keyword tl_keyword contained :fields :filter :fini :finish
syn keyword tl_keyword contained :float :form :from-current :from-end
syn keyword tl_keyword contained :from-start :from_html :frombase64 :frombase64url
syn keyword tl_keyword contained :fromhtml :frompercent :fromurl :fun
syn keyword tl_keyword contained :function :gap :gid :greedy
syn keyword tl_keyword contained :hex :hextoint :inf :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :linux :list :lists
syn keyword tl_keyword contained :local :longest :macos :mandatory
syn keyword tl_keyword contained :match :maxgap :maxtimes :method
syn keyword tl_keyword contained :mid :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :nothrow :oct :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postinit :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :set :set-file :shortest
syn keyword tl_keyword contained :size :solaris :solaris10 :space
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :symlinks :text :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tobase64url :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :unknown
syn keyword tl_keyword contained :upcase :use :use-from :use-syms
syn keyword tl_keyword contained :userdata :var :vars :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret array arraysize ash
syn keyword tl_keyword contained asin asinh assert assoc
syn keyword tl_keyword contained assq assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atanh atom
syn keyword tl_keyword contained awk base-name base64-decode base64-decode-buf
syn keyword tl_keyword contained base64-encode base64-stream-dec base64-stream-enc base64url-decode
syn keyword tl_keyword contained base64url-decode-buf base64url-encode base64url-stream-dec base64url-stream-enc
syn keyword tl_keyword contained bchar be-double be-float be-int16
syn keyword tl_keyword contained be-int32 be-int64 be-uint16 be-uint32
syn keyword tl_keyword contained be-uint64 bignum-len bignump bindable
syn keyword tl_keyword contained bit bitset blkcnt-t blksize-t
syn keyword tl_keyword contained block block* bool boundp
syn keyword tl_keyword contained bracket break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly bstr bstr-d
syn keyword tl_keyword contained buf buf-alloc-size buf-carray buf-d
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-str cat-streams cat-vec
syn keyword tl_keyword contained catch catch* catch** catenated-stream-p
syn keyword tl_keyword contained catenated-stream-push cbaud cbaudex cdaaaar
syn keyword tl_keyword contained cdaaadr cdaaar cdaadar cdaaddr
syn keyword tl_keyword contained cdaadr cdaar cdadaar cdadadr
syn keyword tl_keyword contained cdadar cdaddar cdadddr cdaddr
syn keyword tl_keyword contained cdadr cdar cddaaar cddaadr
syn keyword tl_keyword contained cddaar cddadar cddaddr cddadr
syn keyword tl_keyword contained cddar cdddaar cdddadr cdddar
syn keyword tl_keyword contained cddddar cdddddr cddddr cdddr
syn keyword tl_keyword contained cddr cdr ceil ceil-rem
syn keyword tl_keyword contained chain chand char chdir
syn keyword tl_keyword contained chmod chmod-rec chown chown-rec
syn keyword tl_keyword contained chr-digit chr-int chr-isalnum chr-isalpha
syn keyword tl_keyword contained chr-isascii chr-isblank chr-iscntrl chr-isdigit
syn keyword tl_keyword contained chr-isgraph chr-islower chr-isprint chr-ispunct
syn keyword tl_keyword contained chr-isspace chr-isunisp chr-isupper chr-isxdigit
syn keyword tl_keyword contained chr-num chr-str chr-str-set chr-tolower
syn keyword tl_keyword contained chr-toupper chr-xdigit chrp clamp
syn keyword tl_keyword contained clear-dirty clear-error clear-mask clear-struct
syn keyword tl_keyword contained clearhash clocal clock-t clockid-t
syn keyword tl_keyword contained close close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar coded-length
syn keyword tl_keyword contained collect-each collect-each* collect-each-prod collect-each-prod*
syn keyword tl_keyword contained comb command-get command-get-buf command-get-json
syn keyword tl_keyword contained command-get-jsons command-get-lines command-get-string command-put
syn keyword tl_keyword contained command-put-buf command-put-json command-put-jsons command-put-lines
syn keyword tl_keyword contained command-put-string compare-swap compile compile-defr-warning
syn keyword tl_keyword contained compile-error compile-file compile-only compile-toplevel
syn keyword tl_keyword contained compile-update-file compile-warning compl-span-str cond
syn keyword tl_keyword contained conda condlet cons conses
syn keyword tl_keyword contained conses* consp constantp contain[s]
syn keyword tl_keyword contained copy copy-alist copy-buf copy-carray
syn keyword tl_keyword contained copy-cons copy-file copy-files copy-fun
syn keyword tl_keyword contained copy-hash copy-list copy-path-rec copy-search-tree
syn keyword tl_keyword contained copy-str copy-struct copy-tnode copy-tree
syn keyword tl_keyword contained copy-tree-iter copy-vec cos cosh
syn keyword tl_keyword contained count-if count-until-match countq countql
syn keyword tl_keyword contained countqual cptr cptr-buf cptr-carray
syn keyword tl_keyword contained cptr-cast cptr-free cptr-get cptr-int
syn keyword tl_keyword contained cptr-null cptr-obj cptr-out cptr-size-hint
syn keyword tl_keyword contained cptr-type cptr-zap cptrp cr0
syn keyword tl_keyword contained cr1 cr2 cr3 crc32
syn keyword tl_keyword contained crc32-stream crdly cread crtscts
syn keyword tl_keyword contained crypt cs5 cs6 cs7
syn keyword tl_keyword contained cs8 csize cstopb cum-norm-dist
syn keyword tl_keyword contained cxr cyr daemon dec
syn keyword tl_keyword contained defer-warning defex deffi deffi-cb
syn keyword tl_keyword contained deffi-cb-unsafe deffi-struct deffi-sym deffi-type
syn keyword tl_keyword contained deffi-union deffi-var define-accessor define-modify-macro
syn keyword tl_keyword contained define-option-struct define-param-expander define-place-macro defmacro
syn keyword tl_keyword contained defmatch defmeth defpackage defparm
syn keyword tl_keyword contained defparml defplace defset defstruct
syn keyword tl_keyword contained defsymacro defun defun-match defvar
syn keyword tl_keyword contained defvarl del delay delcons
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name dirstat disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do doc dohash doloop
syn keyword tl_keyword contained doloop* dotimes double downcase-str
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-match each-match-product each-prod each-prod*
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecaseq ecaseq* ecaseql
syn keyword tl_keyword contained ecaseql* ecasequal ecasequal* echild
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt econnaborted
syn keyword tl_keyword contained econnrefused econnreset edeadlk edestaddrreq
syn keyword tl_keyword contained edom edquot eexist efault
syn keyword tl_keyword contained efbig ehostunreach eidrm eighth
syn keyword tl_keyword contained eilseq einprogress eintr einval
syn keyword tl_keyword contained eio eisconn eisdir elemsize
syn keyword tl_keyword contained elemtype eloop emfile emlink
syn keyword tl_keyword contained empty emsgsize emultihop enametoolong
syn keyword tl_keyword contained endgrent endp endpwent ends-with
syn keyword tl_keyword contained enetdown enetreset enetunreach enfile
syn keyword tl_keyword contained enobufs enodata enodev enoent
syn keyword tl_keyword contained enoexec enolck enolink enomem
syn keyword tl_keyword contained enomsg enoprotoopt enospc enosr
syn keyword tl_keyword contained enostr enosys enotconn enotdir
syn keyword tl_keyword contained enotempty enotrecoverable enotsock enotsup
syn keyword tl_keyword contained enotty ensure-dir enum enumed
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erofs errno error
syn keyword tl_keyword contained espipe esrch estale etime
syn keyword tl_keyword contained etimedout etxtbsy eval eval-only
syn keyword tl_keyword contained evenp ewouldblock exception-subtype-map exception-subtype-p
syn keyword tl_keyword contained exdev exec exit exit*
syn keyword tl_keyword contained exp expand expand* expand-left
syn keyword tl_keyword contained expand-right expand-with-free-refs expt exptmod
syn keyword tl_keyword contained extproc f$ f-dupfd f-dupfd-cloexec
syn keyword tl_keyword contained f-getfd f-getfl f-getlk f-rdlck
syn keyword tl_keyword contained f-setfd f-setfl f-setlk f-setlkw
syn keyword tl_keyword contained f-unlck f-wrlck f^ f^$
syn keyword tl_keyword contained false fboundp fcntl fd-cloexec
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-string file-get file-get-buf file-get-json
syn keyword tl_keyword contained file-get-jsons file-get-lines file-get-string file-place-buf
syn keyword tl_keyword contained file-put file-put-buf file-put-json file-put-jsons
syn keyword tl_keyword contained file-put-lines file-put-string fileno fill-buf
syn keyword tl_keyword contained fill-buf-adjust fill-carray fill-obj fill-vec
syn keyword tl_keyword contained filter-equal filter-string-tree finalize find
syn keyword tl_keyword contained find-frame find-frames find-frames-by-mask find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained find-symbol find-symbol-fb find-true first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmt
syn keyword tl_keyword contained fnm-casefold fnm-extmatch fnm-leading-dir fnm-noescape
syn keyword tl_keyword contained fnm-pathname fnm-period fnmatch for
syn keyword tl_keyword contained for* force force-break fork
syn keyword tl_keyword contained format fourth fr$ fr^
syn keyword tl_keyword contained fr^$ from frr fsblkcnt-t
syn keyword tl_keyword contained fsfilcnt-t fstat ftw ftw-actionretval
syn keyword tl_keyword contained ftw-chdir ftw-continue ftw-d ftw-depth
syn keyword tl_keyword contained ftw-dnr ftw-dp ftw-f ftw-mount
syn keyword tl_keyword contained ftw-ns ftw-phys ftw-skip-siblings ftw-skip-subtree
syn keyword tl_keyword contained ftw-sl ftw-sln ftw-stop fun
syn keyword tl_keyword contained fun-fixparam-count fun-optparam-count fun-variadic func-get-env
syn keyword tl_keyword contained func-get-form func-get-name func-set-env functionp
syn keyword tl_keyword contained gcd gen gen-hash-seed generate
syn keyword tl_keyword contained gensym gequal get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-json get-jsons get-line
syn keyword tl_keyword contained get-line-as-buf get-lines get-list-from-stream get-obj
syn keyword tl_keyword contained get-sig-handler get-stack-limit get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getopts getpid getppid getpwent
syn keyword tl_keyword contained getpwnam getpwuid getresgid getresuid
syn keyword tl_keyword contained getrlimit getuid gid-t ginterate
syn keyword tl_keyword contained giterate glob glob-altdirfunc glob-brace
syn keyword tl_keyword contained glob-err glob-mark glob-nocheck glob-noescape
syn keyword tl_keyword contained glob-nomagic glob-nosort glob-onlydir glob-period
syn keyword tl_keyword contained glob-tilde glob-tilde-check go grade
syn keyword tl_keyword contained greater group-by group-reduce gun
syn keyword tl_keyword contained handle handle* handler-bind hash
syn keyword tl_keyword contained hash-alist hash-begin hash-construct hash-count
syn keyword tl_keyword contained hash-diff hash-eql hash-equal hash-from-alist
syn keyword tl_keyword contained hash-from-pairs hash-invert hash-isec hash-keys
syn keyword tl_keyword contained hash-keys-of hash-list hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-reset hash-revget
syn keyword tl_keyword contained hash-subset hash-symdiff hash-uni hash-update
syn keyword tl_keyword contained hash-update-1 hash-userdata hash-values hash-zip
syn keyword tl_keyword contained hashp have hlet hlet*
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if if-match ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent indent-code indent-data indent-foff
syn keyword tl_keyword contained indent-off inhash inlcr ino-t
syn keyword tl_keyword contained inpck int int-buf int-carray
syn keyword tl_keyword contained int-chr int-cptr int-flo int-ptr-t
syn keyword tl_keyword contained int-str int16 int32 int64
syn keyword tl_keyword contained int8 integerp intern intern-fb
syn keyword tl_keyword contained interp-fun-p interpose inv-cum-norm invoke-catch
syn keyword tl_keyword contained ip ipf ipproto-ip ipproto-ipv6
syn keyword tl_keyword contained ipproto-tcp ipproto-udp ipv6-join-group ipv6-leave-group
syn keyword tl_keyword contained ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops
syn keyword tl_keyword contained ipv6-v6only iread isatty isec
syn keyword tl_keyword contained isig isqrt istrip iter-begin
syn keyword tl_keyword contained iter-item iter-more iter-reset iter-step
syn keyword tl_keyword contained iterable itimer-prof itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon join join-with json
syn keyword tl_keyword contained juxt keep-if keep-if* keep-match-products
syn keyword tl_keyword contained keep-matches keepq keepql keepqual
syn keyword tl_keyword contained key key-t keyword-package keywordp
syn keyword tl_keyword contained kill labels lambda lambda-match
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lchown
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-seq list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew lnew*
syn keyword tl_keyword contained load load-for load-time loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long long-suffix longlong lop
syn keyword tl_keyword contained lset lstat lutimes m$
syn keyword tl_keyword contained m^ m^$ mac-env-param-bind mac-param-bind
syn keyword tl_keyword contained macro-ancestor macro-form-p macro-time macroexpand
syn keyword tl_keyword contained macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1 macrolet
syn keyword tl_keyword contained madv-dodump madv-dofork madv-dontdump madv-dontfork
syn keyword tl_keyword contained madv-dontneed madv-free madv-hugepage madv-hwpoison
syn keyword tl_keyword contained madv-keeponfork madv-mergeable madv-nohugepage madv-normal
syn keyword tl_keyword contained madv-random madv-remove madv-sequential madv-unmergeable
syn keyword tl_keyword contained madv-willneed madv-wipeonfork madvise major
syn keyword tl_keyword contained make-buf make-buf-stream make-byte-input-stream make-catenated-stream
syn keyword tl_keyword contained make-env make-hash make-lazy-cons make-lazy-struct
syn keyword tl_keyword contained make-like make-package make-random-state make-similar-hash
syn keyword tl_keyword contained make-similar-tree make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound map-anon map-fixed map-growsdown
syn keyword tl_keyword contained map-huge-mask map-huge-shift map-hugetlb map-locked
syn keyword tl_keyword contained map-nonblock map-noreserve map-populate map-private
syn keyword tl_keyword contained map-shared map-stack mapcar mapcar*
syn keyword tl_keyword contained mapdo mapf maphash mappend
syn keyword tl_keyword contained mappend* maprend maprod maprodo
syn keyword tl_keyword contained mask match match-case match-ecase
syn keyword tl_keyword contained match-error match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained ms-async ms-invalidate ms-sync msync
syn keyword tl_keyword contained mul-each mul-each* mul-each-prod mul-each-prod*
syn keyword tl_keyword contained multi multi-sort munmap n-choose-k
syn keyword tl_keyword contained n-perm-k nconc neg neq
syn keyword tl_keyword contained neql nequal new new*
syn keyword tl_keyword contained nexpand-left nil nilf ninth
syn keyword tl_keyword contained nl0 nl1 nldly nlink-t
syn keyword tl_keyword contained noflsh none not notf
syn keyword tl_keyword contained nreconc nreverse nshuffle nsort
syn keyword tl_keyword contained nth nthcdr nthlast null
syn keyword tl_keyword contained nullify num-chr num-str numberp
syn keyword tl_keyword contained nzerop o-accmode o-append o-async
syn keyword tl_keyword contained o-cloexec o-creat o-direct o-directory
syn keyword tl_keyword contained o-noatime o-noctty o-nofollow o-nonblock
syn keyword tl_keyword contained o-path o-rdonly o-rdwr o-sync
syn keyword tl_keyword contained o-trunc o-wronly oand obtain
syn keyword tl_keyword contained obtain* obtain*-block obtain-block ocrnl
syn keyword tl_keyword contained oddp ofdel off-t offsetof
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-subprocess open-tail opendir openlog
syn keyword tl_keyword contained opip opost opt opthelp
syn keyword tl_keyword contained or orf package-alist package-fallback-list
syn keyword tl_keyword contained package-foreign-symbols package-local-symbols package-name package-symbols
syn keyword tl_keyword contained packagep pad page-size parenb
syn keyword tl_keyword contained parmrk parodd parse-errors partition
syn keyword tl_keyword contained partition* partition-by path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-dir-empty path-dir-p path-equal
syn keyword tl_keyword contained path-executable-to-me-p path-exists-p path-file-p path-mine-p
syn keyword tl_keyword contained path-my-group-p path-newer path-older path-pipe-p
syn keyword tl_keyword contained path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p path-same-object
syn keyword tl_keyword contained path-search path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained pic pid-t pinc pipe
syn keyword tl_keyword contained place-form-p placelet placelet* plist-to-alist
syn keyword tl_keyword contained plusp poll poll-err poll-in
syn keyword tl_keyword contained poll-nval poll-out poll-pri poll-rdband
syn keyword tl_keyword contained poll-rdhup poll-wrband poly pop
syn keyword tl_keyword contained pop-after-load portable-abs-path-p pos pos-if
syn keyword tl_keyword contained pos-max pos-min posq posql
syn keyword tl_keyword contained posqual pppred ppred pprinl
syn keyword tl_keyword contained pprint pprof pred prinl
syn keyword tl_keyword contained print prod prof prog
syn keyword tl_keyword contained prog* prog1 prog2 progn
syn keyword tl_keyword contained promisep prop proper-list-p proper-listp
syn keyword tl_keyword contained prot-exec prot-growsdown prot-growsup prot-none
syn keyword tl_keyword contained prot-read prot-write pset ptr
syn keyword tl_keyword contained ptr-in ptr-in-d ptr-out ptr-out-d
syn keyword tl_keyword contained ptr-out-s ptrdiff-t pub:txr-sym pure-rel-path-p
syn keyword tl_keyword contained purge-deferred-warning push push-after-load pushhash
syn keyword tl_keyword contained pushnew put-buf put-byte put-carray
syn keyword tl_keyword contained put-char put-json put-jsonl put-jsons
syn keyword tl_keyword contained put-line put-lines put-obj put-string
syn keyword tl_keyword contained put-strings pwd qquote qref
syn keyword tl_keyword contained quantile quip quote r$
syn keyword tl_keyword contained r^ r^$ raise rand
syn keyword tl_keyword contained random random-buf random-fixnum random-float
syn keyword tl_keyword contained random-float-incl random-state-get-vec random-state-p range
syn keyword tl_keyword contained range* range-regex rangep rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcons
syn keyword tl_keyword contained read read-once read-until-match readdir
syn keyword tl_keyword contained readlink real-time-stream-p realpath record-adapter
syn keyword tl_keyword contained reduce-left reduce-right ref refset
syn keyword tl_keyword contained regex-compile regex-from-trie regex-optimize regex-parse
syn keyword tl_keyword contained regex-prefix-match regex-source regexp register-exception-subtypes
syn keyword tl_keyword contained register-tentative-def regsub rehome-sym reject
syn keyword tl_keyword contained rel-path relate release-deferred-warnings remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remove-path-rec
syn keyword tl_keyword contained remq remq* remql remql*
syn keyword tl_keyword contained remqual remqual* rename-path repeat
syn keyword tl_keyword contained replace replace-buf replace-env replace-list
syn keyword tl_keyword contained replace-str replace-struct replace-tree-iter replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if right
syn keyword tl_keyword contained rlcp rlcp-tree rlet rlim-infinity
syn keyword tl_keyword contained rlim-saved-cur rlim-saved-max rlimit-as rlimit-core
syn keyword tl_keyword contained rlimit-cpu rlimit-data rlimit-fsize rlimit-nofile
syn keyword tl_keyword contained rlimit-stack rlist rlist* rmdir
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scan-until-match
syn keyword tl_keyword contained search search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-cur seek-end
syn keyword tl_keyword contained seek-set seek-stream select self-load-path
syn keyword tl_keyword contained self-path separate seq-begin seq-next
syn keyword tl_keyword contained seq-reset seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-key
syn keyword tl_keyword contained set-left set-mask set-max-depth set-max-length
syn keyword tl_keyword contained set-package-fallback-list set-right set-sig-handler set-stack-limit
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setrlimit setuid seventh sh
syn keyword tl_keyword contained sha256 sha256-begin sha256-end sha256-hash
syn keyword tl_keyword contained sha256-stream shift short short-suffix
syn keyword tl_keyword contained shuffle shut-rd shut-rdwr shut-wr
syn keyword tl_keyword contained sig-abrt sig-alrm sig-atomic-t sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained signum sin sinh sixth
syn keyword tl_keyword contained size-t size-vec sizeof slet
syn keyword tl_keyword contained slot slotp slots slotset
syn keyword tl_keyword contained so-acceptconn so-broadcast so-debug so-dontroute
syn keyword tl_keyword contained so-error so-keepalive so-linger so-oobinline
syn keyword tl_keyword contained so-rcvbuf so-rcvlowat so-rcvtimeo so-reuseaddr
syn keyword tl_keyword contained so-sndbuf so-sndlowat so-sndtimeo so-type
syn keyword tl_keyword contained sock-accept sock-bind sock-cloexec sock-connect
syn keyword tl_keyword contained sock-dgram sock-family sock-listen sock-nonblock
syn keyword tl_keyword contained sock-opt sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-opt sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type socklen-t sol-socket some
syn keyword tl_keyword contained sort sort-group source-loc source-loc-str
syn keyword tl_keyword contained span-str special-operator-p special-var-p spl
syn keyword tl_keyword contained splice split split* split-str
syn keyword tl_keyword contained split-str-set sqrt square ssize-t
syn keyword tl_keyword contained sspl sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-d str-in6addr str-in6addr-net
syn keyword tl_keyword contained str-inaddr str-inaddr-net str-seq str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp strerror
syn keyword tl_keyword contained string-extend string-finish string-get-code string-lt
syn keyword tl_keyword contained string-set-code stringp strsignal struct
syn keyword tl_keyword contained struct-from-args struct-from-plist struct-get-initfun struct-get-postinitfun
syn keyword tl_keyword contained struct-set-initfun struct-set-postinitfun struct-type struct-type-name
syn keyword tl_keyword contained struct-type-p structp sub sub-buf
syn keyword tl_keyword contained sub-list sub-str sub-tree sub-vec
syn keyword tl_keyword contained subtypep succ sum sum-each
syn keyword tl_keyword contained sum-each* sum-each-prod sum-each-prod* super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%effect-free% sys:%effect-free-funs%
syn keyword tl_keyword contained sys:%eval-cache-eql% sys:%eval-cache-equal% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:*dedup*
syn keyword tl_keyword contained sys:*emit* sys:*eval* sys:*in-compilation-unit* sys:*load-recursive*
syn keyword tl_keyword contained sys:*load-time* sys:*match-form* sys:*op-ctx* sys:*pl-env*
syn keyword tl_keyword contained sys:*pl-form* sys:*top-level* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:*unchecked-calls* sys:abscond* sys:abscond-from sys:add-neg-parens
syn keyword tl_keyword contained sys:analyze-argtypes sys:analyze-params sys:apply sys:asm-error
syn keyword tl_keyword contained sys:assumed-fun sys:awk%--rng sys:awk%--rng+ sys:awk%--rng-
syn keyword tl_keyword contained sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check sys:awk-error
syn keyword tl_keyword contained sys:awk-expander sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-symac-let sys:awk-test
syn keyword tl_keyword contained sys:b* sys:b+ sys:b- sys:b/
syn keyword tl_keyword contained sys:b< sys:b<= sys:b= sys:b=>
syn keyword tl_keyword contained sys:b> sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:build-expander sys:build-key-list-expr sys:capture-cont sys:catch
syn keyword tl_keyword contained sys:check sys:check-end sys:check-slot sys:check-struct
syn keyword tl_keyword contained sys:check-sym sys:circref sys:comma-positions sys:compat
syn keyword tl_keyword contained sys:compile-and-match sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure
syn keyword tl_keyword contained sys:compile-exprs-match sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match
syn keyword tl_keyword contained sys:compile-match sys:compile-new-var-match sys:compile-not-match sys:compile-or-match
syn keyword tl_keyword contained sys:compile-predicate-match sys:compile-range-match sys:compile-require-match sys:compile-scan-match
syn keyword tl_keyword contained sys:compile-struct-match sys:compile-var-match sys:compile-vec-match sys:compile-with-match
syn keyword tl_keyword contained sys:compiler-emit-warnings sys:conv sys:conv-expand sys:conv-expand-sym
syn keyword tl_keyword contained sys:conv-let sys:ctx-form sys:ctx-name sys:dbg-all
syn keyword tl_keyword contained sys:dbg-backtrace sys:dbg-clear sys:dbg-enable sys:dbg-restore
syn keyword tl_keyword contained sys:dbg-set sys:dbg-step sys:debugger sys:dedup
syn keyword tl_keyword contained sys:dedup-labels sys:deffi-cb-expander sys:define-method sys:defset-expander
syn keyword tl_keyword contained sys:defset-expander-simple sys:detached-run sys:dig sys:disassemble-cdf
syn keyword tl_keyword contained sys:dlib-expr sys:do-conv sys:do-copy-obj sys:do-path-test
syn keyword tl_keyword contained sys:do-tweak-obj sys:doc-syms sys:dump-to-tlo sys:dvbind
syn keyword tl_keyword contained sys:dwim-del sys:dwim-set sys:dyn-size sys:each-match-expander
syn keyword tl_keyword contained sys:each-op sys:early-peephole sys:enc-small-op sys:ensure-op-arg
syn keyword tl_keyword contained sys:env-to-let sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings
syn keyword tl_keyword contained sys:eval-err sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params
syn keyword tl_keyword contained sys:expand-defmacro sys:expand-defsymacro sys:expand-defun sys:expand-defvarl
syn keyword tl_keyword contained sys:expand-dohash sys:expand-doloop sys:expand-each sys:expand-each-prod
syn keyword tl_keyword contained sys:expand-each-prod* sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens
syn keyword tl_keyword contained sys:expand-params sys:expand-pic sys:expand-pic-align sys:expand-pic-num
syn keyword tl_keyword contained sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match
syn keyword tl_keyword contained sys:expand-quasi-mods sys:expand-sym-ref sys:expr sys:extract-keys
syn keyword tl_keyword contained sys:extract-keys-p sys:fbind sys:find-parent sys:fixed-point
syn keyword tl_keyword contained sys:flatten-or sys:fmt-flex sys:fmt-join sys:fmt-simple
syn keyword tl_keyword contained sys:for-op sys:gc sys:gc-set-delta sys:get-buf-common
syn keyword tl_keyword contained sys:get-fun-getter-setter sys:get-mb sys:get-param-info sys:get-place-macro
syn keyword tl_keyword contained sys:get-var-list sys:get-vars sys:get-vb sys:getopts-error
syn keyword tl_keyword contained sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond sys:in6addr-condensed-text
syn keyword tl_keyword contained sys:insert-commas sys:is-label sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list sys:lambda-too-few-args
syn keyword tl_keyword contained sys:lambda-too-many-args sys:lbind sys:lisp1-setq sys:lisp1-value
syn keyword tl_keyword contained sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit sys:loc
syn keyword tl_keyword contained sys:loosen sys:mac-env-flatten sys:make-anon-package sys:make-command-env
syn keyword tl_keyword contained sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type sys:mark-special
syn keyword tl_keyword contained sys:match-pat-error sys:misleading-ref-check sys:name-str sys:new-expander
syn keyword tl_keyword contained sys:new-type sys:non-triv-pat-p sys:null-reg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-ensure-rec sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:op-rec-p sys:open-compile-streams sys:open-url sys:operand-to-exp
syn keyword tl_keyword contained sys:operand-to-sym sys:opip-expand sys:opt-dash sys:opt-err
syn keyword tl_keyword contained sys:orig-form sys:os-symbol sys:param-check sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-lambda-match-clause sys:parse-operand sys:pat-len sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-simplify sys:path-split sys:path-test-mode
syn keyword tl_keyword contained sys:path-test-type sys:path-volume sys:pic-join-opt sys:pl-expand
syn keyword tl_keyword contained sys:placelet-1 sys:print-backtrace sys:propagate-ancestor sys:propagate-perms
syn keyword tl_keyword contained sys:prune-missing-inits sys:qquote sys:quasi sys:quasilist
syn keyword tl_keyword contained sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp sys:reduce-or
syn keyword tl_keyword contained sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor sys:repl
syn keyword tl_keyword contained sys:rewrite sys:rewrite-case sys:rplaca sys:rplacd
syn keyword tl_keyword contained sys:rslotset sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro
syn keyword tl_keyword contained sys:rt-defun sys:rt-defv sys:rt-defvarl sys:rt-load-for
syn keyword tl_keyword contained sys:rt-pprof sys:safe-const-eval sys:safe-const-reduce sys:safe-constantp
syn keyword tl_keyword contained sys:set-hash-traversal-limit sys:set-macro-ancestor sys:setq sys:setqf
syn keyword tl_keyword contained sys:simplify-or sys:slot-types sys:small-op-p sys:small-op-to-sym
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:subst sys:subst-preserve sys:switch sys:sym-clobber-expander
syn keyword tl_keyword contained sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p sys:top-fb
syn keyword tl_keyword contained sys:top-mb sys:top-vb sys:tr* sys:trace
syn keyword tl_keyword contained sys:trace-canonicalize-name sys:trace-enter sys:trace-leave sys:trace-redefine-check
syn keyword tl_keyword contained sys:transform-qquote sys:tree-construct sys:trfm sys:true-const-p
syn keyword tl_keyword contained sys:try-load sys:txr-case-impl sys:unquote sys:untrace
syn keyword tl_keyword contained sys:upenv sys:uw-block sys:uw-captured-block sys:uw-catch
syn keyword tl_keyword contained sys:uw-cont-copy sys:uw-eval sys:uw-expand sys:uw-fcall
syn keyword tl_keyword contained sys:uw-guard sys:uw-handle sys:uw-menv sys:var
syn keyword tl_keyword contained sys:var-pat-p sys:vars-check sys:vm-closure-desc sys:vm-closure-entry
syn keyword tl_keyword contained sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs
syn keyword tl_keyword contained sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap
syn keyword tl_keyword contained sys:when-exprs-match sys:with-disabled-debugging sys:with-dyn-lib-check syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained tailp take take-until take-while
syn keyword tl_keyword contained tan tanh tb tc
syn keyword tl_keyword contained tcdrain tcflow tcflush tcgetattr
syn keyword tl_keyword contained tciflush tcioff tcioflush tcion
syn keyword tl_keyword contained tcoflush tcooff tcoon tcp-nodelay
syn keyword tl_keyword contained tcsadrain tcsaflush tcsanow tcsendbreak
syn keyword tl_keyword contained tcsetattr tentative-def-exists tenth test-clear
syn keyword tl_keyword contained test-clear-dirty test-dec test-dirty test-inc
syn keyword tl_keyword contained test-neq-set-indent-mode test-set test-set-indent-mode tf
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-nsec time-parse
syn keyword tl_keyword contained time-parse-local time-parse-utc time-string-local time-string-utc
syn keyword tl_keyword contained time-struct-local time-struct-utc time-t time-usec
syn keyword tl_keyword contained tmpfile tnode tnodep to
syn keyword tl_keyword contained tofloat tofloatz toint tointz
syn keyword tl_keyword contained tojson tok tok-str tok-where
syn keyword tl_keyword contained tostop tostring tostringp touch
syn keyword tl_keyword contained tprint trace transpose tree
syn keyword tl_keyword contained tree-begin tree-bind tree-case tree-clear
syn keyword tl_keyword contained tree-delete tree-delete-node tree-find tree-insert
syn keyword tl_keyword contained tree-insert-node tree-lookup tree-lookup-node tree-next
syn keyword tl_keyword contained tree-peek tree-reset tree-root treep
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-left trim-long-suffix trim-right
syn keyword tl_keyword contained trim-short-suffix trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples txr-case
syn keyword tl_keyword contained txr-exe-path txr-if txr-parse txr-path
syn keyword tl_keyword contained txr-version txr-when typecase typedef
syn keyword tl_keyword contained typeof typep ubit uchar
syn keyword tl_keyword contained uid-t uint uint-buf uint-carray
syn keyword tl_keyword contained uint-ptr-t uint16 uint32 uint64
syn keyword tl_keyword contained uint8 ulong ulonglong umask
syn keyword tl_keyword contained umeth umethod uname unget-byte
syn keyword tl_keyword contained unget-char uni unintern union
syn keyword tl_keyword contained union-get union-in union-members union-out
syn keyword tl_keyword contained union-put uniq unique unless
syn keyword tl_keyword contained unquote unsetenv until until*
syn keyword tl_keyword contained untrace unuse-package unuse-sym unwind-protect
syn keyword tl_keyword contained upcase-str upd update uref
syn keyword tl_keyword contained url-decode url-encode use use-package
syn keyword tl_keyword contained use-sym user-package ushort usl
syn keyword tl_keyword contained usleep uslot utimes val
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-seq vec-set-length vecref
syn keyword tl_keyword contained vector vector-list vectorp veof
syn keyword tl_keyword contained veol veol2 verase vintr
syn keyword tl_keyword contained vkill vlnext vm-fun-p vmin
syn keyword tl_keyword contained void vquit vreprint vstart
syn keyword tl_keyword contained vstop vsusp vswtc vt0
syn keyword tl_keyword contained vt1 vtdly vtime vwerase
syn keyword tl_keyword contained w-continued w-coredump w-exitstatus w-ifcontinued
syn keyword tl_keyword contained w-ifexited w-ifsignaled w-ifstopped w-nohang
syn keyword tl_keyword contained w-stopsig w-termsig w-untraced wait
syn keyword tl_keyword contained wchar weave when when-match
syn keyword tl_keyword contained whena whenlet where while
syn keyword tl_keyword contained while* while-match while-match-case while-true-match-case
syn keyword tl_keyword contained whilet width width-check window-map
syn keyword tl_keyword contained window-mapdo window-mappend wint-t with-clobber-expander
syn keyword tl_keyword contained with-compilation-unit with-delete-expander with-dyn-lib with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-buf-stream with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-buf-stream with-out-string-stream with-out-strlist-stream
syn keyword tl_keyword contained with-resources with-slots with-stream with-update-expander
syn keyword tl_keyword contained wrap wrap* wstr wstr-d
syn keyword tl_keyword contained xcase yield yield-from zap
syn keyword tl_keyword contained zarray zchar zero-fill zerop
syn keyword tl_keyword contained zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region tl_bracevar contained matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,tl_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_tok matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_ign_par matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqlist matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqbkt matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_jstring matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment
hi def link txr_ign_tok Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-match,each-match-product,each-prod,each-prod*,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,new*,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
